#### D.14.7.8 boolean_set

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_set(ss[, rb]); ss zdd, rb boolean ring

Return:
  default: boolean set ss in the representation of a Polybori boolean set in the ring rb==boolean_poly_ring(basering); optional input: boolean ring rb

Example:

    LIB "polybori.lib";
    ring rs=0,(x,y,z),Dp;
    poly ps=(x+1)*(y+1)*(z+1);
    zdd fz=ps;
    boolean_set(fz);
    poly g=x*y*z+1;
    zdd gz=g;
    boolean_set(gz);
    ring R=0,(x(1..4)),Dp;
    def Rb=boolean_poly_ring(R);
    poly h=(x(1)+1)*(x(2)+1)*(x(3)+1)*(x(4)+1);
    zdd hz=h;
    boolean_set(hz);

See also: boolean_ideal; boolean_std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.